Bug 145276 - Incorrect probing of AverMedia AVerTV DVB-T 771
Incorrect probing of AverMedia AVerTV DVB-T 771
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-16 12:34 EST by Lars Hamann
Modified: 2014-03-16 22:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-17 12:34:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lars Hamann 2005-01-16 12:34:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
After inserting an AverTV DVB-T 771 kudzu adds an Bt878 Audio Capture
Device to hwconf with driver snd-bt87x. This driver seems to be
incorrect for this card. It should load dvb-bt8xx + sp887x instead.
Loading dvb-bt8xx after snd-bt87x is impossible. Kernel complains with:
Jan 11 22:33:17 arthur kernel: bt878: AUDIO driver version 0.0.0 loaded
Jan 11 22:33:26 arthur kernel: dvb_bt8xx: unable to determine DMA core
of card 0,
Jan 11 22:33:26 arthur kernel: dvb_bt8xx: if you have the ALSA bt87x
audio driver installed, try removing it.
Jan 11 22:33:26 arthur kernel: dvb-bt8xx: probe of dvb0 failed with
error -14

Telling kudzu to ignore this card doesn't work either. The module gets
loaded nonetheless.

Version-Release number of selected component (if applicable):
kudzu-1.1.95-1

How reproducible:
Always

Steps to Reproduce:
1. Insert AverTV DVB-T 771 Card
2. configure card via kudzu

    

Actual Results:  Loads snd-bt87x module.

Expected Results:  Should load dvb-bt8xx + sp887x modules.

Additional info:

Output of lspci -vv:

00:08.0 Multimedia video controller: Brooktree Corporation Bt878 Video
Capture (rev 11)
        Subsystem: Avermedia Technologies Inc: Unknown device 0771
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (4000ns min, 10000ns max)
        Interrupt: pin A routed to IRQ 5
        Region 0: Memory at dddfe000 (32-bit, prefetchable) [size=4K]
        Capabilities: [44] Vital Product Data
        Capabilities: [4c] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:08.1 Multimedia controller: Brooktree Corporation Bt878 Audio
Capture (rev 11)
        Subsystem: Avermedia Technologies Inc: Unknown device 0771
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (1000ns min, 63750ns max)
        Interrupt: pin A routed to IRQ 5
        Region 0: Memory at dddff000 (32-bit, prefetchable) [size=4K]
        Capabilities: [44] Vital Product Data
        Capabilities: [4c] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)



Output of lspci -n:

00:08.0 Class 0400: 109e:036e (rev 11)
00:08.1 Class 0480: 109e:0878 (rev 11)




added hwconf-entries:

-
class: CAPTURE
bus: PCI
detached: 0
driver: snd-bt87x
desc: "Brooktree Corporation Bt878 Audio Capture"
vendorId: 109e
deviceId: 0878
subVendorId: 1461
subDeviceId: 0771
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  8
pcifn:  1
-
class: CAPTURE
bus: PCI
detached: 0
driver: bttv
desc: "Brooktree Corporation Bt878 Video Capture"
vendorId: 109e
deviceId: 036e
subVendorId: 1461
subDeviceId: 0771
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  8
pcifn:  0
-
Comment 1 Bill Nottingham 2005-01-17 12:34:20 EST
snd-bt87x is pulled from the modules.pcimap for the kernel; that
driver claims that card.

About the only thing you can do here is 'install snd-bt87x /bin/true'
in modprobe.conf.

Note You need to log in before you can comment on or make changes to this bug.